﻿// Copyright 2021 Lynnesbian
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

using BepInEx;
using RoR2;

namespace LyneMod {
	[BepInDependency("com.bepis.r2api")]
	[BepInPlugin("space.lynnesbian.lynemod", "Lyne Mod", "1.0.3")]
	public class LyneMod : BaseUnityPlugin {
		public void Awake() {
			On.EntityStates.EngiTurret.DeathState.OnExit += (orig, self) => {
				Chat.AddMessage("Turret bonked!");
				orig(self);
			};

			// On.EntityStates.Barrel.Opening.OnEnter += (On.EntityStates.Barrel.Opening.orig_OnEnter orig, EntityStates.Barrel.Opening self) => {
			//		TODO: figure out how to do this properly, and how to determine the player that interacted with the barrel
			// 		var healthPickup = new RoR2.Orbs.HealOrb();
			// 		healthPickup.healValue = 10; // 10%
			// 		healthPickup.overrideDuration = 1f;
			// 		healthPickup.target = RoR2.HurtBox.readOnlyBullseyesList[0];
			// 		healthPickup.Begin();
			// 		orig(self);
			// };
		}
	}
}